Skip to main content
GET 

/market-quote/ltp

LTP Quotes V3

API provides LTP quotes for specified instruments. In V3, the response has been enhanced to include:

  • ltq: The quantity of the last traded transaction.
  • volume: The cumulative trading volume for the current day.
  • cp: The closing price from the previous trading day.

New Instruments

  • Global Index — Major global stock market indices such as GIFT NIFTY, Dow Jones, S&P, FTSE 100, and more. See Global Instruments for details and download the Global Instruments file for instrument keys.
  • India VIX — The NSE Volatility Index, available using instrument key NSE_INDEX|India VIX.

Request

curl --location 'https://api.upstox.com/v3/market-quote/ltp?instrument_key=NSE_EQ%7CINE848E01016' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Additional samples in various languages are available in the Sample Code section on this page.


Query Parameters

NameRequiredDescription
instrument_keyRequiredComma separated list of instrument keys. For the regex pattern applicable to this field, see the Field Pattern Appendix.

Responses

Response body

{
"status": "success",
"data": {
"NSE_FO:NIFTY2543021600PE": {
"last_price": 303.9,
"instrument_token": "NSE_FO|51834",
"ltq": 75,
"volume": 170325,
"cp": 29.0
}
}
}
NameTypeDescription
statusstringA string indicating the outcome of the request. Typically success for successful operations.
dataobjectData object holding LTP information
data.last_pricenumberThe last traded price of symbol
data.instrument_tokenstringKey of the instrument. For the regex pattern applicable to this field, see the Field Pattern Appendix.
data.ltqnumberLast traded quantity
data.volumenumberVolume traded today till current time
data.cpnumberPrevious day's closing price

Sample Code

Get ltp (last traded price) market quotes

curl --location 'https://api.upstox.com/v3/market-quote/ltp?instrument_key=NSE_EQ%7CINE848E01016' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Get ltp (last traded price) market quotes for multiple instruments keys

curl --location 'https://api.upstox.com/v3/market-quote/ltp?instrument_key=NSE_EQ%7CINE848E01016,NSE_EQ|INE669E01016' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'